<?php

namespace Itguild\Tables\Filter;

abstract class Filter
{
    public string $html = '';
    public string|array $params;
    public string $name;
    public string $value;
    public function __construct(array $source)
    {
        $this->params = $source['params'] ?? '';
        $this->name = $source['name'];
        $this->value = $source['value'] ?? '';
    }

    abstract public function fetch();
}